Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 595124

Summary: sci-physics/espresso-3.3.1 : utils.hpp:150:16: error: 'std::pmalloc' has not been declared
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Christoph Junghans <junghans>
Status: RESOLVED FIXED    
Severity: normal CC: plevine457, sci-physics
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 582084    
Attachments: config.log
emerge-history.txt
environment
sci-physics:espresso-3.3.1:20160925-200051.log

Description Toralf Förster gentoo-dev 2016-09-25 20:14:36 UTC
libtool: compile:  x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../src -I./mpifake -march=native -O2 -pipe -c cells.cpp  -fPIC -DPIC -o .libs/cells.o
In file included from cells.cpp:30:0:
utils.hpp:150:16: error: 'std::pmalloc' has not been declared
 #define malloc pmalloc
                ^


$ cat emerge-info.txt
  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named amd64-gnome-systemd-libressl-unstable_20160921-193326) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------
  USE flags ...

  ... in make.conf:
USE="  -openssl -gnutls libressl pax_kernel xtpax -cdinstall -oci8 -bindist alisp bugzilla bzip2 cairo -cddb -cups custom-cflags custom-optimization dec_av2 dot dvb gcj gnome-keyring gtk3 gzip help icu introspection kvm lapack libinput lvm midi mikmod mp3 mpeg2 mta -nscd odbc -offensive opus plotutils printsupport qemu rdoc rendering sockets source sourceview -sslv2 svg system-cairo system-libevent system-libs -system-libvpx system-sqlite tools udisks uml -usb utils vlc webgl widgets wma -xetex xinerama xml -xmlreader -zenmap zlib"

  ... in /etc/portage/package.use/*:
  mail-mta/ssmtp      ssl mta
  net-misc/wget       ssl
  app-crypt/pinentry  -qt4
  app-editors/emacs   -dbus -svg -ssl -gtk -gtk3
  app-text/xmlto      -latex
  dev-libs/boehm-gc   threads
  dev-libs/libpcre    pcre16
  dev-lang/python     threads -tk
  dev-qt/qtgui        egl eglfs
  net-nds/openldap    -sasl
  dev-util/cmake      -qt4 -qt5
  dev-vcs/git         -perl
  gnome-base/librsvg  -tools
  media-libs/mesa     -vaapi
  sys-apps/kmod       tools
  <=net-misc/openssh-7.3_p1-r2    -hpn

  entries in /etc/portage/package.unmask/*:
  sys-devel/gcc:6.2.0
  -----------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-4.9.3
 [2] x86_64-pc-linux-gnu-6.2.0 *
llvm-config --version:
3.8.1
Available Java Virtual Machines:
  [1]   icedtea-bin-7 
  [2]   icedtea-bin-8  system-vm
Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.5 (fallback)
  [3]   python2.7 (fallback)
  [4]   pypy3 (fallback)
  [5]   jython2.7 (fallback)

  -----------------------------------------------------------------

Portage 2.3.1 (python 3.4.5-final-0, default/linux/amd64/13.0/desktop/gnome/systemd, gcc-6.2.0, glibc-2.23-r2, 4.7.4-hardened-r1 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.7.4-hardened-r1-x86_64-Intel-R-_Core-TM-_i7-3930K_CPU_@_3.20GHz-with-gentoo-2.3
KiB Mem:    65285480 total,   1838800 free
KiB Swap:   67108860 total,  67102092 free
Timestamp of repository gentoo: Sun, 25 Sep 2016 19:08:48 +0000
sh bash 4.3_p46-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p46-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.0-r1::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo, 3.5.2::gentoo
dev-util/cmake:           3.6.2::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.21.7::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.9.6-r4::gentoo, 1.11.6-r2::gentoo, 1.12.6-r1::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo, 2.26.1::gentoo
sys-devel/gcc:            4.9.3::gentoo, 6.2.0-r1::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.7::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: 1

local
    location: /usr/local/portage
    masters: gentoo
    priority: 2

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--verbose --verbose-conflicts --color=n --nospinner --tree --quiet-build"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox parallel-fetch preserve-libs protect-owned sandbox sfperms strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alisp alsa amd64 berkdb bluetooth branding bugzilla bzip2 cairo cdda cdr cli colord cracklib crypt custom-cflags custom-optimization cxx dbus dec_av2 dot dri dts dvb dvd dvdr eds emboss encode evo exif fam firefox flac fortran gcj gdbm gif glamor gnome gnome-keyring gnome-online-accounts gpm gstreamer gtk gtk3 gzip help iconv icu introspection ipv6 jpeg kvm lapack lcms ldap libinput libnotify libressl libsecret lvm mad midi mikmod mmx mmxext mng modules mp3 mp4 mpeg mpeg2 mta multilib nautilus ncurses nls nptl odbc ogg opengl openmp opus pam pango pax_kernel pcre pdf plotutils png policykit ppds printsupport pulseaudio qemu qt3support qt4 rdoc readline rendering sdl seccomp session sockets source sourceview spell sse sse2 ssl startup-notification svg system-cairo system-libevent system-libs system-sqlite systemd tcpd tiff tools tracker truetype udev udisks uml unicode upower utils vlc vorbis webgl widgets wma wxwidgets x264 xattr xcb xinerama xml xtpax xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" CURL_SSL="libressl" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" L10N="hsb mai sv" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Toralf Förster gentoo-dev 2016-09-25 20:14:42 UTC
Created attachment 447890 [details]
config.log
Comment 2 Toralf Förster gentoo-dev 2016-09-25 20:14:45 UTC
Created attachment 447892 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2016-09-25 20:14:48 UTC
Created attachment 447894 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2016-09-25 20:14:51 UTC
Created attachment 447896 [details]
sci-physics:espresso-3.3.1:20160925-200051.log
Comment 5 Peter Levine 2017-07-17 05:57:05 UTC
GCC-6 doesn't like it when std::malloc and std::realloc are redefined.  The problem was fixed with https://github.com/espressomd/espresso/commit/771becc176e1d8ffde401dca6fa1dfd020855b48.  The commit is big and clunky and the diff won't cleanly apply.  This shouldn't be a problem since there is sci-physics/espresso-4.0_pre20170228 and sci-physics/espresso-9999.  IMHO espresso-3.3.0 and espresso-3.3.1 should be purged.
Comment 6 Christoph Junghans gentoo-dev 2017-07-17 14:58:35 UTC
commit 118d8d3cc94dd0553de0fc287b7a155982368f74
Author: Christoph Junghans <junghans@gentoo.org>
Date:   Mon Jul 17 08:52:35 2017 -0600

    sci-physics/espresso: remove old (bug #595124, #625338)

    Package-Manager: Portage-2.3.6, Repoman-2.3.1